/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	"xl.h"


extern XLISP_ENV * env_HTMLdb;

void
init_htmldb_function()
{
XLISP_ENV * env;
	env = new_env(gblisp_top_env0);
	set_env(gblisp_top_env0,l_string(std_cm,"HTMLdb"),get_env(env));
	env_HTMLdb = env;

	init_Delete(env);
	init_HTML(env);
	init_Option(env);
	init_Raw(env);

	init_GetHTMLCharSet(env);
	init_GetHTMLQuery(env);
}
